Debian/Ubuntu (apt)

    curl https://apt.hrfee.dev/hrfee.pubkey.gpg | sudo apt-key add -

    echo "deb https://apt.hrfee.dev trusty-unstable main" | sudo tee /etc/apt/sources.list.d/hrfee.list

    sudo apt-get update

    # For servers
    sudo apt-get install jfa-go
    # ------
    # For desktops/servers with GUI (has dependencies)
    sudo apt-get install jfa-go-tray
    # ------

Docker

    docker create \
         --name "jfa-go" \ # Whatever you want to name it
         -p 8056:8056 \
       # -p 8057:8057 if using tls
         -v /path/to/.config/jfa-go:/data \ # Path to wherever you want to store the config file and other data
         -v /path/to/jellyfin:/jf \ # Optional path to Jellyfin config directory for auto password resets, ignore if using Emby
         -v /etc/localtime:/etc/localtime:ro \ # Makes sure time is correct
         hrfee/jfa-go:unstable

jellyfin-accounts (go)

a better way to manage your Jellyfin users.

- Send invite links to your users, let them sign up themselves
- Create setting profiles to restrict permissions of new users
- Handles password resets without your intervention
- Enforce sign-up requirements:
  - Password strength
  - Contact method verification
  - CAPTCHA
- Send messages & notifications to your users (email, discord, telegram, matrix available)
- Set accounts to expire after a specified time
- Manage your users in bulk
- More

notices
Project Status: Due to studies, support from me (@hrfee) will be sporadic.
links
github wiki/docs translation
donate
GitHub Ko-fi
discord

downloads

instructions can be found here

note: tray icon builds should only be used on systems with a Desktop Interface, and require extra dependencies on linux, see the github README for more info.

Stable (-ish) Unstable

Released sporadically, not necessarily super stable.

windows/mac/linux docker debian/ubuntu arch (aur) arch (aur binary)

Built on every commit, so may include incomplete/broken features. Take care.

docker debian/ubuntu arch (aur git)